clear all
set more off 

cd "D:\Dropbox\已完成项目\创新和财富不平等\Data and Code"
global path="D:\Dropbox\已完成项目\创新和财富不平等\Data and Code"
global output = "${path}\results" 

log using Code_Results.log,replace


use "$path\Final_Data_0304.dta",clear


**Summary Statistics . The number of observations is 840 (TIME>1998) in my data. 
summarize ln_Top0001 ln_Top001 Research_Rate Research_Rate_1 Popgrowth Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation SPRate Uneployment Tax RealRate FirmRate PrivateShare IV_NO if 1998 <TIME 


preserve  
keep if  1998 <TIME 
outreg2 using "$output/table1", excel replace eqkeep(mean sd N) sum(log) keep(ln_Top0001 ln_Top001 Research_Rate Research_Rate_1 Popgrowth Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation SPRate Uneployment Tax RealRate FirmRate PrivateShare IV_NO) 
restore

***1.基准回归
* Top 0.001%
eststo: reghdfe ln_Top0001 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)		
* Top 0.01%
eststo: reghdfe ln_Top001 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
* Top 0.1%
eststo: reghdfe ln_Top01 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
* Top 1%
eststo: reghdfe ln_Top1 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
* Top 10%
eststo: reghdfe ln_Top10 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
* 基尼系数
eststo: reghdfe ln_Gini Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
* 财富收入比
eststo: reghdfe lnWealth_Ratio Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

		
esttab using "$output/table2.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)
eststo clear
***2.Top 0.001%和Top 0.01%滞后期

*Top 0.001%滞后2期
eststo: reghdfe ln_Top0001 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

*Top 0.001%滞后3期
eststo: reghdfe ln_Top0001 Research_Rate3 Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
*Top 0.001%滞后4期
eststo: reghdfe ln_Top0001 Research_Rate4 Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

*Top 0.01%滞后2期		
eststo: reghdfe ln_Top001 Research_Rate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

*Top 0.01%滞后3期		
eststo: reghdfe ln_Top001 Research_Rate3 Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
*Top 0.01%滞后4期
eststo: reghdfe ln_Top001 Research_Rate4 Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

esttab using "$output/table3.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)
eststo clear		
***3.机制检验结果
*实际利率的影响 RealRate
eststo: reghdfe ln_Top0001 Research_Rate RealRate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)		

eststo: reghdfe ln_Top001 Research_Rate RealRate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)	
		
*上市公司增长率 FirmRate
eststo: reghdfe ln_Top0001 Research_Rate FirmRate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
		
eststo: reghdfe ln_Top001 Research_Rate FirmRate Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)	
		
*私营部门信贷占比 PrivateShare
eststo: reghdfe ln_Top0001 Research_Rate PrivateShare Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

eststo: reghdfe ln_Top001 Research_Rate PrivateShare Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

esttab using "$output/table4.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)
eststo clear
***4.异质性分析
*加入交乘项
eststo: reghdfe ln_Top0001 Research_Rate Research_GDPpc Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
		
eststo: reghdfe ln_Top001 Research_Rate Research_GDPpc Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth ///
        Trade Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
		
*分组回归 (Top 0.001%)		
eststo: reghdfe ln_Top0001 Research_Rate Popgrowth ln_Edupaypc GDPpcgrowth Trade Government ///
        ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==0 ///
		, ab(ID TIME ) vce(cl ID)

eststo: reghdfe ln_Top0001 Research_Rate Popgrowth ln_Edupaypc GDPpcgrowth Trade Government ///
        ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==1 ///
		, ab(ID TIME ) vce(cl ID)

*分组回归 (Top 0.01%)
eststo: reghdfe ln_Top001 Research_Rate Popgrowth ln_Edupaypc GDPpcgrowth Trade Government ///
        ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==0 ///
		, ab(ID TIME ) vce(cl ID)
		
eststo: reghdfe ln_Top001 Research_Rate Popgrowth ln_Edupaypc GDPpcgrowth Trade Government ///
        ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==1 ///
		, ab(ID TIME ) vce(cl ID)

esttab using "$output/table5.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)
eststo clear
		
***5.稳健性检验
*工具变量
*IV_NO	
eststo: reghdfe	Research_Rate IV_NO Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade Government ///
                     ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
					 , ab(ID TIME ) cluster(ID)  
eststo: ivreghdfe ln_Top001  Popgrowth ln_Edupaypc ln_GDPpc GDPpcgrowth Trade Government ///
                     ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
					 (Research_Rate= IV_NO ) , ab(ID TIME ) cluster(ID) first endog(Research_Rate)		

esttab using "$output/table6.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)
eststo clear

*更换变量
eststo: reghdfe ln_Top001 Research_Rate_1 Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

eststo: reghdfe ln_Top001 Research_Rate_1 RealRate Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)

eststo: reghdfe ln_Top001 Research_Rate_1 FirmRate Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax ///
		, ab(ID TIME ) vce(cl ID)
		

eststo: reghdfe ln_Top001 Research_Rate_1 Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==0 ///
		, ab(ID TIME ) vce(cl ID)
		
eststo: reghdfe ln_Top001 Research_Rate_1 Fertility ln_Edupaypc ln_GDPpc GDPpcgrowth Trade ///
        Government ln_Aging ln_Agriculture Inflation Uneployment SPRate Tax if CountryLevel==1 ///
		, ab(ID TIME ) vce(cl ID) 
							   						  

esttab using "$output/table7.csv", replace b(4) se(4) star(* 0.1 ** 0.05 *** 0.01) r2 se sca(pvalue)

eststo clear
log close
